antiprism-0.23
Up Next

# off_report - report global measures maxima and counts

Usage | Examples | Notes

## Usage

    Usage: off_report [options] [input_file]

    Read a file in OFF format and generate a report

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -c <cent> centre of shape in form 'X,Y,Z', or C to use
                centroid (default, '0,0,0')
      -S <secs> Print values by sections, given as a list of letters
                A - all                     G - general
                F - faces                   E - edges
                S - solid Angles            a - plane angles
                D - distances (min/max)     s - symmetry
      -C <vals> Print counts of values, given as a list of letters
                A - All                     F - faces type by angles
                E - edge lengths            w - windings
                S - solid angles            D - dihedral angles
                s - face sides              o - vertex orders
                h - vertex heights (z-crds) O - symmetry orbits
      -k        keep orientation, don't try to orient the faces
      -y        subsymmetry for orbits: symmetry subgroup (Schoenflies notation)
                optionally followed by a comma and conjugation type (integer)
      -E <type> edges for report, e - explicit edges, i - implicit edges
                a - explicit and implicit (default)
      -o <file> write output to file (default: write to standard output)
      -d <dgts> number of significant digits (default 17) or if negative
                then the number of digits after the decimal point

## Examples

Full report

    off_report -S A -C A poly.off

Volume and area of a unit edged icosahedron

       off_trans -s e icosahedron | off_report -S G

Report all angle information for a rhombic dodecahedron

       pol_recip cuboctahedron | off_report -S Sa -C SD

## Notes

Use with caution! This program hasn't had extensive testing. It is very possible that some calculations may fail under particular conditions. Please, report any bugs.

The options letters may change in future versions.

Up: Programs and Documentation
Next: off_query - list element data